filter.hh File Reference
`#include <boost/any.hpp>`
`#include <mia/3d/image.hh>`
`#include <mia/core/combiner.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/core/filter.hh>`
`#include <mia/core/spacial_kernel.hh>`
`#include <mia/template/filter_chain.hh>`
`#include <mia/template/combiner.hh>`
Include dependency graph for 3d/filter.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TDataFilter< C3DImage > | C3DFilter
| Base class for 3D image filters. Filters are implemented as plug-ins.
typedef TDataFilterPlugin< C3DImage > | C3DFilterPlugin
| The 3D filter plugin type.
typedef THandlerSingleton< TFactoryPluginHandler< C3DFilterPlugin > > | C3DFilterPluginHandler
| The 3D filter plugin handler.
typedef TImageCombiner< C3DImage > | C3DImageCombiner
| Base class for plug-ins that combine two 3D images in certain ways.
typedef TFactory< C3DImageCombiner > | C3DImageCombinerPlugin
typedef THandlerSingleton< TFactoryPluginHandler< C3DImageCombinerPlugin > > | C3DImageCombinerPluginHandler
| Plugin handler for image combiner plugins.
typedef TFilterChain< C3DFilterPluginHandler > | C3DImageFilterChain
| 3D filter chain to apply various filters in one run
typedef std::shared_ptr< C3DFilter > | P3DFilter
| The 3D filter shared pointer.
typedef std::shared_ptr< C3DImageCombiner > | P3DImageCombiner

## Functions

template<typename S>
std::vector< P3DFilter > | create_filter_chain (const std::vector< S > &chain)
| Convenience function to create a filter chain from a series of filter descriptions.
P3DFilter | produce_3dimage_filter (const char *descr)
P3DImage EXPORT_3D | run_filter (const C3DImage &image, const char *filter)
| convenience function: create and run a filter on an image
P3DImage EXPORT_3D | run_filter_chain (P3DImage image, const std::vector< const char * > &filters)

## Typedef Documentation

## C3DImageCombinerPlugin

typedef TFactory<C3DImageCombiner> C3DImageCombinerPlugin

Definition at line 72 of file 3d/filter.hh.

## C3DImageCombinerPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C3DImageCombinerPlugin> > C3DImageCombinerPluginHandler

Plugin handler for image combiner plugins.

Definition at line 76 of file 3d/filter.hh.

## P3DImageCombiner

typedef std::shared_ptr<C3DImageCombiner> P3DImageCombiner

Definition at line 71 of file 3d/filter.hh.

## Function Documentation

## produce_3dimage_filter()

P3DFilter produce_3dimage_filter | ( | const char * | descr | ) |

inline

Convenience function to create a filter from its string description

Definition at line 125 of file 3d/filter.hh.

References THandlerSingleton< TFactoryPluginHandler< C3DFilterPlugin > >::instance().